Update or validate a Kubernetes cluster configuration
post/midgard/v3.0/kubernetes/clusters/{clusterId}
Updates an existing Kubernetes cluster or validates its configuration changes when `onlyValidate` is set to true.Request
Authorization
X-AT
header
apiKey
Path Parameters
clusterIdUnique identifier of the Kubernetes cluster.
string
REQUIRED
Query Parameters
onlyValidateIf true, validates the cluster configuration without applying changes.
boolean
Body
application/json
cluster
object
object {}
nameName of the Kubernetes cluster.
string
updateWindowConfiguration for the cluster's update window.
object
object {}
dayOfWeekDay of the week (0–6) or null for 'any day'.
integer
fromHourEarliest hour at which updates are allowed to start.
integer
timezoneTime zone name.
string
controlPlane
object
object {}
highAvailableCurrently unused.
boolean
nodePoolsList of node pool configurations.
array object[]
object {}
idNode pool id.
string
deletedDelete this node pool.
boolean
nameNode pool name.
string
instanceCountNumber of instances in the node pool.
integer
variation
object
object {}
idUnique identifier of the variation.
integer
nameThe name of the variation
string
resourcesResource allocation per node.
object
object {}
cpuNumber of CPU cores.
integer
memoryMemory in MiB.
integer
diskDisk size in GB.
integer
iaasProvidersOnly supported when adding a new node pool.
array object[]
object {}
idUnique identifier of the provider.
integer
nameName of the provider.
string
city
array string[]
countryCode
array string[]
Response
200Cluster updated or validated successfully, or an error response.
404Kubernetes cluster not found.
500Internal server error.
Shell cURL
shellShow schema
json